Bug 433823 - Firefox crashing a lot
Firefox crashing a lot
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: firefox (Show other bugs)
5.1
i386 Linux
high Severity high
: rc
: ---
Assigned To: Martin Stransky
: Reopened
: 430140 (view as bug list)
Depends On:
Blocks: 437124 437132 437135 442023
  Show dependency treegraph
 
Reported: 2008-02-21 11:31 EST by daryl herzmann
Modified: 2008-05-29 09:33 EDT (History)
14 users (show)

See Also:
Fixed In Version: RHEL-5.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-29 09:33:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Firefox -g bt (7.26 KB, text/plain)
2008-02-21 11:31 EST, daryl herzmann
no flags Details
Another firefox -g bt (4.46 KB, text/plain)
2008-02-21 11:32 EST, daryl herzmann
no flags Details
Firefox bt (6.31 KB, text/plain)
2008-02-23 23:45 EST, daryl herzmann
no flags Details
Firefox bt (4.97 KB, text/plain)
2008-02-25 00:08 EST, daryl herzmann
no flags Details
firefox bt (5.02 KB, text/plain)
2008-02-25 21:04 EST, daryl herzmann
no flags Details
firefox bt (7.40 KB, text/plain)
2008-02-26 18:07 EST, daryl herzmann
no flags Details
very long firefox bt (16.20 KB, text/plain)
2008-02-26 19:35 EST, daryl herzmann
no flags Details
backtrace from firefox-1.5.0.12-12.el5_1.i386 (60.97 KB, text/plain)
2008-03-10 11:00 EDT, Marek Mahut
no flags Details
second firefox backtrace (61.35 KB, text/plain)
2008-03-11 10:58 EDT, Marek Mahut
no flags Details
another similar crash (7.40 KB, text/plain)
2008-03-11 11:02 EDT, Marek Mahut
no flags Details
bt (9.97 KB, text/plain)
2008-03-11 11:24 EDT, daryl herzmann
no flags Details
backtrace without DE locales (64.00 KB, text/plain)
2008-03-11 11:50 EDT, Marek Mahut
no flags Details
another non-DE backtrace (66.76 KB, text/plain)
2008-03-11 12:05 EDT, Marek Mahut
no flags Details
firefox bt (5.62 KB, text/plain)
2008-03-11 16:19 EDT, daryl herzmann
no flags Details
firefox bt (16.14 KB, text/plain)
2008-03-11 19:00 EDT, daryl herzmann
no flags Details
firefox bt (16.67 KB, text/plain)
2008-03-11 22:41 EDT, daryl herzmann
no flags Details
another bt (6.16 KB, text/plain)
2008-03-11 22:51 EDT, daryl herzmann
no flags Details
bt from cnbc.com (16.70 KB, text/plain)
2008-03-12 11:13 EDT, daryl herzmann
no flags Details
bt , looks to be java plugin related (4.60 KB, text/plain)
2008-03-12 12:30 EDT, daryl herzmann
no flags Details
Backtrace from Firefox (3.52 KB, application/x-bzip2)
2008-03-30 13:07 EDT, Ryan Daly
no flags Details
Backtrace from visiting internal OpenManage site. (4.32 KB, application/x-bzip2)
2008-04-03 10:02 EDT, Ryan Daly
no flags Details
bt during 100% CPU usage for 2 minutes (7.58 KB, text/plain)
2008-04-05 23:31 EDT, daryl herzmann
no flags Details
Core file produced by firefox-1.5.0.12-14.1.debug.el5_1 (5.50 MB, application/x-gzip)
2008-04-10 13:17 EDT, Stephen Fralich
no flags Details

  None (edit)
Description daryl herzmann 2008-02-21 11:31:40 EST
Hi,

I suspect you folks can't do anything, since we are dealing with a closed source
plugin, but I will bugzilla anyway just in case :)

For the past few weeks (maybe more than a month), firefox will crash numerous
times per day at seemingly random times.  Augh!  I installed the debug info and
captured 2 bt today. Hope they are useful.

firefox-1.5.0.12-11.el5_1
flash-plugin-9.0.115.0-1.el5
nspr-4.6.5-3.el5
[rest is fully updated rhel5.1 (non fastrack) as well, I hope]

daryl
Comment 1 daryl herzmann 2008-02-21 11:31:40 EST
Created attachment 295532 [details]
Firefox -g bt
Comment 2 daryl herzmann 2008-02-21 11:32:09 EST
Created attachment 295533 [details]
Another firefox -g bt
Comment 3 Warren Togami 2008-02-21 14:20:41 EST
What would be *really* useful is if you can find a reproduce procedure or
specific URL's that cause this crash.
Comment 4 daryl herzmann 2008-02-21 14:36:59 EST
Hi Warren,

Well, http://www.accuweather.com will crash my firefox each time, but I go to
another RHEL5 box and it seems to work just fine (with flash-plugin) as well. 
Maybe something is hosed on my laptop.  The recent firefox errata gave me hope
that perhaps this crashing was fixed, but I still see it.

I'll see if I can give you something better to work with, thanks for the quick
response. :)

daryl
Comment 5 daryl herzmann 2008-02-23 23:45:04 EST
Created attachment 295731 [details]
Firefox bt

I uninstalled flash-plugin and haven't seen many crashes.  I did get a crash
this evening and have attached the bt, so perhaps something else is wrong and
this bz could be moved to firefox component?  thanks for the help.
Comment 6 daryl herzmann 2008-02-25 00:08:29 EST
Created attachment 295763 [details]
Firefox bt

Another crash without flash-plugin
Comment 7 daryl herzmann 2008-02-25 21:04:16 EST
Created attachment 295864 [details]
firefox bt

Crashes a couple of times per day.
Comment 8 daryl herzmann 2008-02-26 18:07:52 EST
Created attachment 296002 [details]
firefox bt

Another crash...

I tried to refile this under firefox, but may need some help getting it
assigned correctly?  Thanks!
Comment 9 daryl herzmann 2008-02-26 19:35:20 EST
Created attachment 296008 [details]
very long firefox bt
Comment 10 Christopher Aillon 2008-03-04 15:46:10 EST
*** Bug 430140 has been marked as a duplicate of this bug. ***
Comment 11 Dave Wysochanski 2008-03-04 18:17:34 EST
I get periodic crashes when I go to a site and I click on a link to open
something like a PDF file.  Someone in another bz suggested gtk and this thread:
http://www.centos.org/modules/newbb/viewtopic.php?topic_id=11589&viewmode=flat&order=ASC&start=20

I have not tried the suggested workaround.
Comment 13 Marek Mahut 2008-03-10 11:00:59 EDT
Created attachment 297447 [details]
backtrace from firefox-1.5.0.12-12.el5_1.i386
Comment 15 Martin Stransky 2008-03-11 09:56:46 EDT
Can you attach more backtraces? (and omit all crashes in
/usr/lib/flash-plugin/libflashplayer.so, it's a crash in flash, not in firefox)
Comment 16 daryl herzmann 2008-03-11 10:02:51 EDT
re comment #15, is that directed to me?  I continue to see 1-2 crashes per day,
they usually come during one of these actions:

 - Right click to 'Save As' some link on a webpage
 - During HTTP Auth
Comment 17 Martin Stransky 2008-03-11 10:48:32 EDT
yes, please attach some more backtraces.
Comment 18 Marek Mahut 2008-03-11 10:58:39 EDT
Created attachment 297621 [details]
second firefox backtrace
Comment 19 Marek Mahut 2008-03-11 11:02:34 EDT
Created attachment 297624 [details]
another similar crash
Comment 20 daryl herzmann 2008-03-11 11:24:29 EDT
Created attachment 297626 [details]
bt

Just got this bt just before attempting to do HTTP Auth
Comment 21 Martin Stransky 2008-03-11 11:28:23 EDT
All crashes seems to be inside GTK main loop (g_main_context_iterate) so it
doesn't look like a firefox bug. All those instances were run with DE locales -
can you try to run it with the English one?
Comment 22 Marek Mahut 2008-03-11 11:50:31 EDT
Created attachment 297631 [details]
backtrace without DE locales
Comment 23 Marek Mahut 2008-03-11 12:05:17 EDT
Created attachment 297632 [details]
another non-DE backtrace
Comment 24 daryl herzmann 2008-03-11 16:19:25 EDT
Created attachment 297671 [details]
firefox bt

Another backtrace
Comment 25 daryl herzmann 2008-03-11 19:00:16 EDT
Created attachment 297685 [details]
firefox bt

And another :)
Comment 26 daryl herzmann 2008-03-11 22:41:57 EDT
Created attachment 297697 [details]
firefox bt

I seem to get this each time I visit cnbc.com and click on "Mad Money ReCap",
hehe :)
Comment 27 daryl herzmann 2008-03-11 22:51:45 EDT
Created attachment 297699 [details]
another bt

I will stop with posting these unless you want more :)
Comment 28 Martin Stransky 2008-03-12 05:32:55 EDT
Please try to find out some steps how to reproduce the crash.
Comment 29 Martin Stransky 2008-03-12 06:24:25 EDT
Please test packages at http://people.redhat.com/stransky/mozilla-updated/firefox/
The should fix some regression (but not the gtk dialog crash).
Comment 30 daryl herzmann 2008-03-12 11:13:34 EDT
Created attachment 297783 [details]
bt from cnbc.com

Using firefox-debuginfo-1.5.0.12-12.el5_1

reproducer:
  Visit cnbc.com
  scroll down and click on the red banner saying "MadCap Recap", crash.
Comment 31 Martin Stransky 2008-03-12 11:25:15 EDT
(In reply to comment #30)
> Created an attachment (id=297783) [edit]
> bt from cnbc.com
> 
> Using firefox-debuginfo-1.5.0.12-12.el5_1
> 
> reproducer:
>   Visit cnbc.com
>   scroll down and click on the red banner saying "MadCap Recap", crash.

This crash is going to be fixed in the upcoming test package (see Bug 437124)
Comment 32 Martin Stransky 2008-03-12 11:54:51 EDT
GTK dialog crashes are covered by Bug 437132.
Comment 33 Martin Stransky 2008-03-12 12:02:36 EDT
NSS/NSPR crashes are covered by Bug 437135.
Comment 34 daryl herzmann 2008-03-12 12:30:11 EDT
Created attachment 297803 [details]
bt , looks to be java plugin related

Hi,

I may just be jinxed.  :)  Here is another I just got while having a PDF open
and attempting to close the window via the 'x' in the corner.  It looks new, so
I thought I would add it.
Comment 35 Martin Stransky 2008-03-12 12:43:12 EDT
(In reply to comment #34)
> Created an attachment (id=297803) [edit]
> bt , looks to be java plugin related
> 
> Hi,
> 
> I may just be jinxed.  :)  Here is another I just got while having a PDF open
> and attempting to close the window via the 'x' in the corner.  It looks new, so
> I thought I would add it.

No, It's the NSPR/NSS crash (Bug 437135)

Comment 36 Martin Stransky 2008-03-12 14:20:51 EDT
Updated packages (with fixed Bug 437124) will be at
http://people.redhat.com/stransky/mozilla-updated/
(firefox-1.5.0.12-13.el5_1)
Comment 37 Dave Wysochanski 2008-03-14 13:28:13 EDT
Thanks for the new builds - I continue to run them in my daily setup as well. 
The last build, -12, was pretty stable for me but I still did occasionally get a
crash.  I will run the latest (-13) under gdb and post a backtrace if it is
interesting.
Comment 38 daryl herzmann 2008-03-14 14:46:59 EDT
I have been having very good success with -13 build. The only bug I am left
seeing is the GTK dialog bug noted here: bz 437132 

thanks!
Comment 39 Matěj Cepl 2008-03-17 12:03:08 EDT
thanks for letting us know.
Comment 40 daryl herzmann 2008-03-17 12:26:20 EDT
Huh?  Why was this closed?
Comment 41 Matěj Cepl 2008-03-18 10:04:04 EDT
(In reply to comment #40)
> Huh?  Why was this closed?

I am sorry, I misunderstood your comment 37 -- I thought that all your problems
(except for bug 437132) are fixed.
Comment 42 daryl herzmann 2008-03-18 10:10:45 EDT
That is correct, but the package that is working is non supported and certainly
not the "CURRENTRELEASE".

Sorry about the confusion.
Comment 43 Matěj Cepl 2008-03-19 06:38:57 EDT
OK, sorry, that should be NEXTRELEASE (I am almost never use it outside of RHEL
bugs, and got confused).
Comment 44 Martin Stransky 2008-03-25 10:23:18 EDT
Please leave this bug open.
Comment 47 Jonathan Peatfield 2008-03-27 19:17:54 EDT
I just commented in #437124 that the released firefox-1.5.0.12-14.el5_1 is
missing the firefox-1.5.0.12-empty-document.patch

I see that the rpm does however already include the same fix as was patched by
mozilla-279505.patch (at least attempting to apply that reports that all the
hunks are already applied) - I'd have mentioned that in #437124 but that is a
bugzilla just for the empty-document crash...

I'm still not sure if the simplish patch from #437132 ought to be included or
not.  Certainly it seems to do no harm here - at least when applied to the
previous fiefox packages.

I'm currently building a test version based on firefox-1.5.0.12-14... with the
extra two patches (empty-doc and mozcontainer) and hope to be able to test it
soonish.

 -- Jon
Comment 48 daryl herzmann 2008-03-29 15:41:22 EDT
FYI,

firefox-1.5.0.12-14.el5_1  (the recent errata release) will routinely become
unresponsive and peg the CPU.  It won't actually crash tho.  This usually
happens when closing a tab or after visiting a javascript intensive site like
Google Reader or Gmail .  I don't have an easy reproducer tho, sorry :(

firefox-1.5.0.12-13.el5_1 from stransky's site is working much better for me.

daryl
Comment 49 Ryan Daly 2008-03-30 12:54:21 EDT
I'm still seeing the same behavior with the new Firefox package, too.  I'm 
running firefox-1.5.0.12-14.el5.centos.  I was attempting to download 
Realplayer when I got the following:

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1208928032 (LWP 5168)]
0x047f6238 in gtk_widget_get_toplevel () from /usr/lib/libgtk-x11-2.0.so.0
(gdb) continue
Continuing.

Program received signal SIGSEGV, Segmentation fault.
0x00d91402 in __kernel_vsyscall ()
(gdb) continue
Continuing.

Program terminated with signal SIGSEGV, Segmentation fault.
The program no longer exists.
(gdb) thread apply all bt
(gdb) quit

If I am able to get a bt, I'll post it.
Comment 50 Ryan Daly 2008-03-30 13:07:05 EDT
Created attachment 299632 [details]
Backtrace from Firefox

The "Download RealPlayer" link from
http://www.real.com/linux?pcode=rn&opage=freeplayer_partner&src=freeplayer_partner
is pretty consistent with its ability to cause Firefox to seg fault.

This backtrace is from the above sequence of links.
Comment 51 daryl herzmann 2008-03-31 12:11:46 EDT
Hi Ryan,

I think you should check out this bugzilla entry #437132 , it is the GTK bug
that I keep hitting many times per day as well. :(

daryl
Comment 52 Martin Stransky 2008-04-02 04:48:53 EDT
An extra patch (firefox-1.5.0.12-colormap.patch) is in package
firefox-1.5.0.12-13.debug.el5 at http://people.redhat.com/stransky/mozilla-updated/.

Could you please check if it fixes the colourmap crashes for you?
Comment 53 Ryan Daly 2008-04-02 09:34:58 EDT
That seems to have fixed the issue I was seeing.

I also *was* experiencing trouble visiting our OpenManage installation, but 
that appears to have been resolved, as well.

I'll keep testing with this patch and update as necessary.  Thank-you!
Comment 54 Jonathan Peatfield 2008-04-02 14:48:15 EDT
Not that I really want to complain much but would it not make sense to base the
debug/test releases on the most recent *released* el5 version of the firefox
src.rpm?  ie firefox-1.5.0.12-14... if nothing else this test release is
considered 'old' by rpm etc.
Comment 55 Ryan Daly 2008-04-02 15:07:17 EDT
Yeah, that's a good point.  I had to remove firefox-1.5.0.12-14 in order to
install these test packages.

Wouldn't it be easy to roll this patch into the -14 release?

I've been using this version most of the day without incident...so far so good.
Comment 56 Jonathan Peatfield 2008-04-02 15:49:24 EDT
Well -14 has the recent security fixes but was missing one of the two fixes
present in the previous test packages (e.g. -13 sadly no longer visible in the
directory mentioned above).

Comparing the specfiles from the previous -13 and this -13.debug it just has the
extra firefox-1.5.0.12-colormap.patch so doesn't *seem* to have any of the
security fixes.

I'm about to rebuild based on -14 again with the various test patches added back
in again (I already have version with the others added and will just add
firefox-1.5.0.12-colormap.patch as well).

btw do the gaps I see in the comment numbers on this ticket indicate that there
are 'hidden' comments I'm not allowed to read?
Comment 57 Martin Stransky 2008-04-03 09:31:34 EDT
Well, an updated package firefox-1.5.0.12-14.1.debug.el5_1 based on the latest
security update is at http://people.redhat.com/stransky/mozilla-updated/
Comment 58 daryl herzmann 2008-04-03 09:41:59 EDT
Thanks Martin, I am using your updated package now.  Yesterday, I had 7 crashes
(6 appeared to be flash related and other was GTK).  I suppose I could start
another bz ticket for my flash crashes?
Comment 59 Ryan Daly 2008-04-03 09:45:52 EDT
I just went to Help -> About and the Firefox window disappeared.

That has happened from time to time, too.  Meaning, a Firefox window causes
Firefox to die.

I'll grab the latest packages and run them under GDB to (hopefully) capture a bt.
Comment 60 Martin Stransky 2008-04-03 09:49:31 EDT
Flash crashes are at Bug 222646
Comment 61 Ryan Daly 2008-04-03 09:57:16 EDT
Something else must have been done between -12 and -14.  I'm able to get to our
internal OpenManage site w/ -12, but not with -14.  I have captured a bt and
will attach.
Comment 62 Ryan Daly 2008-04-03 10:02:30 EDT
Created attachment 300251 [details]
Backtrace from visiting internal OpenManage site.
Comment 63 Ryan Daly 2008-04-03 10:05:05 EDT
Let me ask a question.

I believe RHEL 5.2 is going to re-base to Minefield.  Does it make sense to
pursue this in great detail if this version of Firefox will no longer be used?
Comment 64 Ryan Daly 2008-04-03 14:26:36 EDT
I heard back from my support call w/ Red Hat (1805714) that the FF developers
are focussing on FF3 and would rather let FF1.5.x go.

From here on out, I will get FF3 and start testing with that version.

Thank-you for the help on this.
Comment 65 daryl herzmann 2008-04-03 15:08:33 EDT
Hi Martin,

I would be happy to keep testing FF 1.5 releases.  Currently, I continue to see
a 100% CPU usage of the -14 firefox line (both errata and your new package this
morning) after visiting some flash sites.  I know, you can't do much to help
because of flash, but was curious if there is a way to get debugging info when
this CPU pegging occurs?

Maybe once the GTK bug is fixed, I'll move on the FF3 as well.  I am very
thankful for the help!

daryl
Comment 66 Martin Stransky 2008-04-03 17:32:32 EDT
The flash problem (crashes/hangs) should be solved in RHEL-5.2 by a new package,
nspluginwrapper. It shields the flash plugin from the browser and the flash
crashes don't affect the browser.
Comment 67 Martin Stransky 2008-04-04 03:47:33 EDT
(In reply to comment #65)
> Hi Martin,
> 
> I would be happy to keep testing FF 1.5 releases.  Currently, I continue to see
> a 100% CPU usage of the -14 firefox line (both errata and your new package this
> morning) after visiting some flash sites.  I know, you can't do much to help
> because of flash, but was curious if there is a way to get debugging info when
> this CPU pegging occurs?

gdb --pid=XXX where XXX is a PID of running main firefox process.
Comment 68 Matěj Cepl 2008-04-04 05:37:46 EDT
gdb --pid=${pidof firefox-bin}

is probably slighly more digestable
Comment 69 daryl herzmann 2008-04-05 23:31:38 EDT
Created attachment 301408 [details]
bt during 100% CPU usage for 2 minutes

I generated this bt while my firefox was pegging the CPU for a few minutes. 
Thanks for the tips in the previous messages and for the continued help.
Comment 70 Stephen Fralich 2008-04-10 13:17:43 EDT
Created attachment 302028 [details]
Core file produced by firefox-1.5.0.12-14.1.debug.el5_1
Comment 71 Stephen Fralich 2008-04-10 13:23:40 EDT
I found a web page that crashes firefox 100% of the time:
http://www.worldtimeserver.com/convert_time_in_US-MN.aspx

Sometimes just visiting that page will crash it, but if you choose a country on
the right (I've been choosing UTC), firefox will crash.  Looking at the bt, it's
similar to crashes I get in less reproduceable scenarios.  I tested multiple
systems with freshly created users and they all crash.  I removed all plugins
from the systems as well.

I've tested the current firefox (firefox-1.5.0.12-14.el5_1) and the debug
edition posted here (referenced in comment 57).  They both crash on that page.

My core is attached to comment 70.
Comment 72 Martin Stransky 2008-04-11 05:04:41 EDT
Cool, I can reproduce the crash at
http://www.worldtimeserver.com/convert_time_in_US-MN.aspx
Comment 73 Martin Stransky 2008-04-11 07:35:29 EDT
Crash at http://www.worldtimeserver.com/convert_time_in_US-MN.aspx is tracked by
Bug 442023.
Comment 74 Martin Stransky 2008-05-29 09:33:43 EDT
Should be fixed by the RHEL-5.2 update and Firefox 3.

Note You need to log in before you can comment on or make changes to this bug.